# Zoomify
*A zoom mod with infinite customizability.*

Zoomify aims to provide the easiest, most configurable and most sexy looking zoom mod you will ever find.

![Zoom Example](https://i.imgur.com/SmIuyZQ.gif)

## How to use
### Keybind
Initially, Minecraft has a keybind that overrides Zoomify by default.
Go to the controls menu and make sure the Zoomify keybind (default `C`)
isn't conflicting (goes red).

### Open settings menu
You can access the settings menu with two ways.
- The client command `/zoomify`
- [Mod Menu](https://modrinth.com/mod/modmenu) settings button

## Features
### Scroll Zoom
You can zoom in further using your scroll wheel.

![Scroll Zoom Example](https://i.imgur.com/aZCxkL7.gif)

### Spyglass Integration
You can configure Zoomify to only be able to zoom in when you are holding or carrying a spyglass.
Or even just override the spyglass zoom with Zoomify!

Show the spyglass overlay and play spyglass sound effects when using Zoomify.

![Spyglass Integration Example](https://i.imgur.com/Sii2Sdr.gif)

### Transitions
**14 different** transitions to choose from!
- Instant
- Linear
- [Ease in Sine](https://easings.net/#easeInSine)
- [Ease out Sine](https://easings.net/#easeOutSine)
- [Ease in/out Sine](https://easings.net/#easeInOutSine)
- [Ease in Quad](https://easings.net/#easeInQuad)
- [Ease out Quad](https://easings.net/#easeOutQuad)
- [Ease in/out Quad](https://easings.net/#easeInOutQuad)
- [Ease in Cubic](https://easings.net/#easeInCubic)
- [Ease out Cubic](https://easings.net/#easeOutCubic)
- [Ease in/out Cubic](https://easings.net/#easeInOutCubic)
- [Ease in Exponential](https://easings.net/#easeInExp)
- [Ease out Exponential](https://easings.net/#easeOutExp)
- [Ease in/out Exponential](https://easings.net/#easeInOutExp)

### Relative Sensitivity
Reduce your mouse sensitivity based on the amount of zoom,
so you have fine control over your player.

![Relative Sensitivity Example](https://i.imgur.com/vnLXGlP.gif)

### Relative View Bobbing
Reduce the view bobbing effect based on the amount of zoom,
so you can walk and zoom at the same time!

![Relative View Bobbing Example](https://i.imgur.com/V58m4ku.gif)

### Cinematic Camera
Make the mouse/camera smooth, like the zoom in [Optifine](https://www.optifine.net).

![Cinematic Cam Example](https://i.imgur.com/MY68CqJ.gif)

### Highly configurable
Absolutely **NO** hard-coded values. Everything about your zoom is configurable!

![Behaviour Settings Page](https://i.imgur.com/dYAh1FQ.png)
![Scrolling Settings Page](https://i.imgur.com/hbxGLk3.png)
![Controls Settings Page](https://i.imgur.com/urvuxgg.png)
![Spyglass Settings Page](https://i.imgur.com/toQ2uMm.png)

### Control the zoom speed with seconds
Instead of some stupid arbitrary value such as zoom speed, you can pick
the exact amount of seconds it will take to zoom in, with a separate setting for zooming out.

### Credits
- [Xander](https://github.com/isXander) - Founder
- [MoonTidez](https://github.com/MoonTidez) - Logo designer

#### Translators
Languages in alphabetical order
- [Xander](https://github.com/isXander) - British English
- [神枪968](https://github.com/GodGun968) - Chinese
- [Madis0](https://github.com/Madis0) - Estonian
- [Rodrigo Appelt](https://github.com/Agentew04) - Portuguese
- [SyberiaK](https://github.com/SyberiaK) - Russian
- [Felix14-v2](https://github.com/Felix14-v2) - Russian
- [localfossa](https://github.com/localfossa) - Turkish
